datacache <- new.env(hash=TRUE, parent=emptyenv())

rattoxfxrnrefseq <- function() showQCData("rattoxfxrnrefseq", datacache)
rattoxfxrnrefseq_dbconn <- function() dbconn(datacache)
rattoxfxrnrefseq_dbfile <- function() dbfile(datacache)
rattoxfxrnrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
rattoxfxrnrefseq_dbInfo <- function() dbInfo(datacache)

rattoxfxrnrefseqORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "rattoxfxrnrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "rattoxfxrnrefseq", "chip rattoxfxrnrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(rattoxfxrnrefseq_dbconn())
}

