
\name{rattoxfxrnrefseq_dbconn}

\alias{rattoxfxrnrefseq_dbconn}
\alias{rattoxfxrnrefseq_dbfile}
\alias{rattoxfxrnrefseq_dbschema}
\alias{rattoxfxrnrefseq_dbInfo}


\title{Collect information about the package annotation DB}

\description{
  Some convenience functions for getting a connection object to (or collecting
  information about) the package annotation DB.
}

\usage{
  rattoxfxrnrefseq_dbconn()
  rattoxfxrnrefseq_dbfile()
  rattoxfxrnrefseq_dbschema(file="", show.indices=FALSE)
  rattoxfxrnrefseq_dbInfo()
}

\arguments{
  \item{file}{
    A connection, or a character string naming the file to print to (see
    the \code{file} argument of the \code{\link[base]{cat}} function for
    the details).
  }
  \item{show.indices}{
    The CREATE INDEX statements are not shown by default.
    Use \code{show.indices=TRUE} to get them.
  }
}

\details{
  \code{rattoxfxrnrefseq_dbconn} returns a connection object to the
  package annotation DB.  IMPORTANT: Don't call
  \code{\link[DBI:dbConnect]{dbDisconnect}} on the connection object
  returned by \code{rattoxfxrnrefseq_dbconn} or you will break all the
  \code{\link[AnnotationDbi:AnnDbObj-class]{AnnDbObj}} objects defined
  in this package!

  \code{rattoxfxrnrefseq_dbfile} returns the path (character string) to the
  package annotation DB (this is an SQLite file).

  \code{rattoxfxrnrefseq_dbschema} prints the schema definition of the
  package annotation DB.

  \code{rattoxfxrnrefseq_dbInfo} prints other information about the package
  annotation DB.
}

\value{
  \code{rattoxfxrnrefseq_dbconn}: a DBIConnection object representing an
  open connection to the package annotation DB.

  \code{rattoxfxrnrefseq_dbfile}: a character string with the path to the
  package annotation DB.

  \code{rattoxfxrnrefseq_dbschema}: none (invisible \code{NULL}).

  \code{rattoxfxrnrefseq_dbInfo}: none (invisible \code{NULL}).
}

\seealso{
  \code{\link[DBI:dbSendQuery]{dbGetQuery}},
  \code{\link[DBI:dbConnect]{dbConnect}},
  \code{\link[AnnotationDbi:AnnDbObj-class]{dbconn}},
  \code{\link[AnnotationDbi:AnnDbObj-class]{dbfile}},
  \code{\link[AnnotationDbi:AnnDbObj-class]{dbschema}},
  \code{\link[AnnotationDbi:AnnDbObj-class]{dbInfo}}
}

\examples{
  ## Count the number of rows in the "probes" table:
  dbGetQuery(rattoxfxrnrefseq_dbconn(), "SELECT COUNT(*) FROM probes")

  ## The connection object returned by rattoxfxrnrefseq_dbconn() was
  ## created with:
  dbConnect(SQLite(), dbname=rattoxfxrnrefseq_dbfile(), cache_size=64000,
  synchronous=0)

  rattoxfxrnrefseq_dbschema()

  rattoxfxrnrefseq_dbInfo()
}

\keyword{utilities}
\keyword{datasets}

